CREATE TABLE hrt_ai_ingest_batches (
    BATCH_ID                 NUMBER(18, 0) ,
    INGEST_RUN_ID            NUMBER(18, 0) ,
    ERROR_MESSAGE_DETAIL     CLOB          ,
    BATCH_STATUS             VARCHAR2(256)     NOT NULL,
    INGEST_FILE_NAME         VARCHAR2(1200),
    HTTP_STATUS_CODE         VARCHAR2(80)  ,
    CHILD_REQUEST_ID         NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BATCH_ID                 NUMBER(18, 0) ,
    INGEST_RUN_ID            NUMBER(18, 0) ,
    ERROR_MESSAGE_DETAIL     CLOB          ,
    BATCH_STATUS             VARCHAR2(256)     NOT NULL,
    INGEST_FILE_NAME         VARCHAR2(1200),
    HTTP_STATUS_CODE         VARCHAR2(80)  ,
    CHILD_REQUEST_ID         NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrt_ai_ingest_batches PRIMARY KEY (BATCH_ID, BATCH_ID)
);
